---
title: Update an org authorized client
description: Datadog, the leading service for cloud-scale monitoring.
breadcrumbs: Docs > API Reference > Org Authorized Clients
---

> For the complete documentation index, see [llms.txt](https://docs.datadoghq.com/llms.txt).

# Update an org authorized client{% #update-an-org-authorized-client %}
Copy pageCopied
{% tab title="v2" %}

| Datadog site      | API endpoint                                                                                 |
| ----------------- | -------------------------------------------------------------------------------------------- |
| ap1.datadoghq.com | PATCH https://api.ap1.datadoghq.com/api/v2/org_authorized_clients/{org_authorized_client_id} |
| ap2.datadoghq.com | PATCH https://api.ap2.datadoghq.com/api/v2/org_authorized_clients/{org_authorized_client_id} |
| app.datadoghq.eu  | PATCH https://api.datadoghq.eu/api/v2/org_authorized_clients/{org_authorized_client_id}      |
| app.ddog-gov.com  | PATCH https://api.ddog-gov.com/api/v2/org_authorized_clients/{org_authorized_client_id}      |
| us2.ddog-gov.com  | PATCH https://api.us2.ddog-gov.com/api/v2/org_authorized_clients/{org_authorized_client_id}  |
| uk1.datadoghq.com | PATCH https://api.uk1.datadoghq.com/api/v2/org_authorized_clients/{org_authorized_client_id} |
| app.datadoghq.com | PATCH https://api.datadoghq.com/api/v2/org_authorized_clients/{org_authorized_client_id}     |
| us3.datadoghq.com | PATCH https://api.us3.datadoghq.com/api/v2/org_authorized_clients/{org_authorized_client_id} |
| us5.datadoghq.com | PATCH https://api.us5.datadoghq.com/api/v2/org_authorized_clients/{org_authorized_client_id} |

### Overview

Enable or disable an OAuth2 client authorization for the current organization. This endpoint requires the `org_authorized_apps_write` permission.

OAuth apps require the `org_authorized_apps_write` authorization [scope](https://docs.datadoghq.com/api/latest/scopes.md#org-authorized-clients) to access this endpoint.



### Arguments

#### Path Parameters

| Name                                       | Type   | Description                          |
| ------------------------------------------ | ------ | ------------------------------------ |
| org_authorized_client_id [*required*] | string | The ID of the org authorized client. |

### Request

#### Body Data (required)



{% tab title="Model" %}

| Parent field | Field                  | Type    | Description                                                                                 |
| ------------ | ---------------------- | ------- | ------------------------------------------------------------------------------------------- |
|              | data [*required*] | object  | Data object for updating an org authorized client.                                          |
| data         | attributes             | object  | Attributes for updating an org authorized client.                                           |
| attributes   | disabled               | boolean | Whether to disable or enable this client for the organization.                              |
| data         | id [*required*]   | string  | The unique identifier of the org authorized client to update.                               |
| data         | type [*required*] | enum    | The resource type for org authorized clients. Allowed enum values: `org_authorized_clients` |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": {
    "attributes": {
      "disabled": true
    },
    "id": "00000000-0000-0000-0000-000000000001",
    "type": "org_authorized_clients"
  }
}
```

{% /tab %}

### Response

{% tab title="200" %}
OK
{% tab title="Model" %}
Response containing a single org authorized client.

| Parent field            | Field                                     | Type      | Description                                                                                 |
| ----------------------- | ----------------------------------------- | --------- | ------------------------------------------------------------------------------------------- |
|                         | data [*required*]                    | object    | Data object representing an org authorized client.                                          |
| data                    | attributes [*required*]              | object    | Attributes of an org authorized client.                                                     |
| attributes              | disabled [*required*]                | boolean   | Whether the organization has disabled this client.                                          |
| attributes              | last_exercised [*required*]          | date-time | The date and time this client was last exercised.                                           |
| attributes              | user_count [*required*]              | int64     | The number of users in the organization who have authorized this client.                    |
| data                    | id [*required*]                      | string    | The unique identifier of the org authorized client.                                         |
| data                    | relationships [*required*]           | object    | Relationships for an org authorized client.                                                 |
| relationships           | oauth2_client [*required*]           | object    | Relationship to the OAuth2 client for this org authorized client.                           |
| oauth2_client           | data [*required*]                    | object    | Data identifying the OAuth2 client associated with this org authorized client.              |
| data                    | id [*required*]                      | string    | The ID of the OAuth2 client.                                                                |
| data                    | type [*required*]                    | enum      | OAuth2 client resource type. Allowed enum values: `oauth2_clients`                          |
| relationships           | user_authorized_clients [*required*] | object    | Relationship to the user authorized clients for this org authorized client.                 |
| user_authorized_clients | data [*required*]                    | [object]  | List of user authorized client relationship data objects.                                   |
| data                    | id [*required*]                      | string    | The ID of the user authorized client.                                                       |
| data                    | type [*required*]                    | enum      | User authorized client resource type. Allowed enum values: `user_authorized_clients`        |
| user_authorized_clients | links [*required*]                   | object    | Links for the user authorized clients relationship.                                         |
| links                   | related [*required*]                 | string    | Link to the user authorized clients for this org authorized client.                         |
| data                    | type [*required*]                    | enum      | The resource type for org authorized clients. Allowed enum values: `org_authorized_clients` |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": {
    "attributes": {
      "disabled": false,
      "last_exercised": "2024-01-15T10:30:00+00:00",
      "user_count": 2
    },
    "id": "00000000-0000-0000-0000-000000000001",
    "relationships": {
      "oauth2_client": {
        "data": {
          "id": "00000000-0000-0000-0000-000000000010",
          "type": "oauth2_clients"
        }
      },
      "user_authorized_clients": {
        "data": [
          {
            "id": "00000000-0000-0000-0000-000000000020",
            "type": "user_authorized_clients"
          }
        ],
        "links": {
          "related": "/api/v2/org_authorized_clients/00000000-0000-0000-0000-000000000001/user_authorized_clients"
        }
      }
    },
    "type": "org_authorized_clients"
  }
}
```

{% /tab %}

{% /tab %}

{% tab title="400" %}
Bad Request
{% tab title="Model" %}
API error response.

| Parent field | Field                    | Type     | Description                                                                     |
| ------------ | ------------------------ | -------- | ------------------------------------------------------------------------------- |
|              | errors [*required*] | [object] | A list of errors.                                                               |
| errors       | detail                   | string   | A human-readable explanation specific to this occurrence of the error.          |
| errors       | meta                     | object   | Non-standard meta-information about the error                                   |
| errors       | source                   | object   | References to the source of the error.                                          |
| source       | header                   | string   | A string indicating the name of a single request header which caused the error. |
| source       | parameter                | string   | A string indicating which URI query parameter caused the error.                 |
| source       | pointer                  | string   | A JSON pointer to the value in the request document that caused the error.      |
| errors       | status                   | string   | Status code of the response.                                                    |
| errors       | title                    | string   | Short human-readable summary of the error.                                      |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="403" %}
Authentication error
{% tab title="Model" %}
API error response.

| Parent field | Field                    | Type     | Description                                                                     |
| ------------ | ------------------------ | -------- | ------------------------------------------------------------------------------- |
|              | errors [*required*] | [object] | A list of errors.                                                               |
| errors       | detail                   | string   | A human-readable explanation specific to this occurrence of the error.          |
| errors       | meta                     | object   | Non-standard meta-information about the error                                   |
| errors       | source                   | object   | References to the source of the error.                                          |
| source       | header                   | string   | A string indicating the name of a single request header which caused the error. |
| source       | parameter                | string   | A string indicating which URI query parameter caused the error.                 |
| source       | pointer                  | string   | A JSON pointer to the value in the request document that caused the error.      |
| errors       | status                   | string   | Status code of the response.                                                    |
| errors       | title                    | string   | Short human-readable summary of the error.                                      |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="404" %}
Not Found
{% tab title="Model" %}
API error response.

| Parent field | Field                    | Type     | Description                                                                     |
| ------------ | ------------------------ | -------- | ------------------------------------------------------------------------------- |
|              | errors [*required*] | [object] | A list of errors.                                                               |
| errors       | detail                   | string   | A human-readable explanation specific to this occurrence of the error.          |
| errors       | meta                     | object   | Non-standard meta-information about the error                                   |
| errors       | source                   | object   | References to the source of the error.                                          |
| source       | header                   | string   | A string indicating the name of a single request header which caused the error. |
| source       | parameter                | string   | A string indicating which URI query parameter caused the error.                 |
| source       | pointer                  | string   | A JSON pointer to the value in the request document that caused the error.      |
| errors       | status                   | string   | Status code of the response.                                                    |
| errors       | title                    | string   | Short human-readable summary of the error.                                      |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="422" %}
Unprocessable Entity
{% tab title="Model" %}
API error response.

| Parent field | Field                    | Type     | Description                                                                     |
| ------------ | ------------------------ | -------- | ------------------------------------------------------------------------------- |
|              | errors [*required*] | [object] | A list of errors.                                                               |
| errors       | detail                   | string   | A human-readable explanation specific to this occurrence of the error.          |
| errors       | meta                     | object   | Non-standard meta-information about the error                                   |
| errors       | source                   | object   | References to the source of the error.                                          |
| source       | header                   | string   | A string indicating the name of a single request header which caused the error. |
| source       | parameter                | string   | A string indicating which URI query parameter caused the error.                 |
| source       | pointer                  | string   | A JSON pointer to the value in the request document that caused the error.      |
| errors       | status                   | string   | Status code of the response.                                                    |
| errors       | title                    | string   | Short human-readable summary of the error.                                      |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    {
      "detail": "Missing required attribute in body",
      "meta": {},
      "source": {
        "header": "Authorization",
        "parameter": "limit",
        "pointer": "/data/attributes/title"
      },
      "status": "400",
      "title": "Bad Request"
    }
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="429" %}
Too many requests
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

### Code Example

##### 
                  \## default
# 
 \# Path parameters export org_authorized_client_id="00000000-0000-0000-0000-000000000001" \# Curl command curl -X PATCH "https://api.datadoghq.com/api/v2/org_authorized_clients/${org_authorized_client_id}" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-H "DD-API-KEY: ${DD_API_KEY}" \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY}" \
-d @- << EOF
{
  "data": {
    "attributes": {
      "disabled": true
    },
    "id": "00000000-0000-0000-0000-000000000001",
    "type": "org_authorized_clients"
  }
}
EOF 
                
##### 

```python
"""
Update an org authorized client returns "OK" response
"""

from datadog_api_client import ApiClient, Configuration
from datadog_api_client.v2.api.org_authorized_clients_api import OrgAuthorizedClientsApi
from datadog_api_client.v2.model.org_authorized_client_type import OrgAuthorizedClientType
from datadog_api_client.v2.model.org_authorized_client_update_attributes import OrgAuthorizedClientUpdateAttributes
from datadog_api_client.v2.model.org_authorized_client_update_data import OrgAuthorizedClientUpdateData
from datadog_api_client.v2.model.org_authorized_client_update_request import OrgAuthorizedClientUpdateRequest

body = OrgAuthorizedClientUpdateRequest(
    data=OrgAuthorizedClientUpdateData(
        attributes=OrgAuthorizedClientUpdateAttributes(
            disabled=True,
        ),
        id="00000000-0000-0000-0000-000000000001",
        type=OrgAuthorizedClientType.ORG_AUTHORIZED_CLIENTS,
    ),
)

configuration = Configuration()
with ApiClient(configuration) as api_client:
    api_instance = OrgAuthorizedClientsApi(api_client)
    response = api_instance.update_org_authorized_client(
        org_authorized_client_id="00000000-0000-0000-0000-000000000001", body=body
    )

    print(response)
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=python) and then save the example to `example.py` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" python3 "example.py"
##### 

```ruby
# Update an org authorized client returns "OK" response

require "datadog_api_client"
api_instance = DatadogAPIClient::V2::OrgAuthorizedClientsAPI.new

body = DatadogAPIClient::V2::OrgAuthorizedClientUpdateRequest.new({
  data: DatadogAPIClient::V2::OrgAuthorizedClientUpdateData.new({
    attributes: DatadogAPIClient::V2::OrgAuthorizedClientUpdateAttributes.new({
      disabled: true,
    }),
    id: "00000000-0000-0000-0000-000000000001",
    type: DatadogAPIClient::V2::OrgAuthorizedClientType::ORG_AUTHORIZED_CLIENTS,
  }),
})
p api_instance.update_org_authorized_client("00000000-0000-0000-0000-000000000001", body)
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=ruby) and then save the example to `example.rb` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" rb "example.rb"
##### 

```go
// Update an org authorized client returns "OK" response

package main

import (
	"context"
	"encoding/json"
	"fmt"
	"os"

	"github.com/DataDog/datadog-api-client-go/v2/api/datadog"
	"github.com/DataDog/datadog-api-client-go/v2/api/datadogV2"
)

func main() {
	body := datadogV2.OrgAuthorizedClientUpdateRequest{
		Data: datadogV2.OrgAuthorizedClientUpdateData{
			Attributes: &datadogV2.OrgAuthorizedClientUpdateAttributes{
				Disabled: datadog.PtrBool(true),
			},
			Id:   "00000000-0000-0000-0000-000000000001",
			Type: datadogV2.ORGAUTHORIZEDCLIENTTYPE_ORG_AUTHORIZED_CLIENTS,
		},
	}
	ctx := datadog.NewDefaultContext(context.Background())
	configuration := datadog.NewConfiguration()
	apiClient := datadog.NewAPIClient(configuration)
	api := datadogV2.NewOrgAuthorizedClientsApi(apiClient)
	resp, r, err := api.UpdateOrgAuthorizedClient(ctx, "00000000-0000-0000-0000-000000000001", body)

	if err != nil {
		fmt.Fprintf(os.Stderr, "Error when calling `OrgAuthorizedClientsApi.UpdateOrgAuthorizedClient`: %v\n", err)
		fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
	}

	responseContent, _ := json.MarshalIndent(resp, "", "  ")
	fmt.Fprintf(os.Stdout, "Response from `OrgAuthorizedClientsApi.UpdateOrgAuthorizedClient`:\n%s\n", responseContent)
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=go) and then save the example to `main.go` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" go run "main.go"
##### 

```java
// Update an org authorized client returns "OK" response

import com.datadog.api.client.ApiClient;
import com.datadog.api.client.ApiException;
import com.datadog.api.client.v2.api.OrgAuthorizedClientsApi;
import com.datadog.api.client.v2.model.OrgAuthorizedClientResponse;
import com.datadog.api.client.v2.model.OrgAuthorizedClientType;
import com.datadog.api.client.v2.model.OrgAuthorizedClientUpdateAttributes;
import com.datadog.api.client.v2.model.OrgAuthorizedClientUpdateData;
import com.datadog.api.client.v2.model.OrgAuthorizedClientUpdateRequest;

public class Example {
  public static void main(String[] args) {
    ApiClient defaultClient = ApiClient.getDefaultApiClient();
    OrgAuthorizedClientsApi apiInstance = new OrgAuthorizedClientsApi(defaultClient);

    OrgAuthorizedClientUpdateRequest body =
        new OrgAuthorizedClientUpdateRequest()
            .data(
                new OrgAuthorizedClientUpdateData()
                    .attributes(new OrgAuthorizedClientUpdateAttributes().disabled(true))
                    .id("00000000-0000-0000-0000-000000000001")
                    .type(OrgAuthorizedClientType.ORG_AUTHORIZED_CLIENTS));

    try {
      OrgAuthorizedClientResponse result =
          apiInstance.updateOrgAuthorizedClient("00000000-0000-0000-0000-000000000001", body);
      System.out.println(result);
    } catch (ApiException e) {
      System.err.println(
          "Exception when calling OrgAuthorizedClientsApi#updateOrgAuthorizedClient");
      System.err.println("Status code: " + e.getCode());
      System.err.println("Reason: " + e.getResponseBody());
      System.err.println("Response headers: " + e.getResponseHeaders());
      e.printStackTrace();
    }
  }
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=java) and then save the example to `Example.java` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" java "Example.java"
##### 

```rust
// Update an org authorized client returns "OK" response
use datadog_api_client::datadog;
use datadog_api_client::datadogV2::api_org_authorized_clients::OrgAuthorizedClientsAPI;
use datadog_api_client::datadogV2::model::OrgAuthorizedClientType;
use datadog_api_client::datadogV2::model::OrgAuthorizedClientUpdateAttributes;
use datadog_api_client::datadogV2::model::OrgAuthorizedClientUpdateData;
use datadog_api_client::datadogV2::model::OrgAuthorizedClientUpdateRequest;

#[tokio::main]
async fn main() {
    let body = OrgAuthorizedClientUpdateRequest::new(
        OrgAuthorizedClientUpdateData::new(
            "00000000-0000-0000-0000-000000000001".to_string(),
            OrgAuthorizedClientType::ORG_AUTHORIZED_CLIENTS,
        )
        .attributes(OrgAuthorizedClientUpdateAttributes::new().disabled(true)),
    );
    let configuration = datadog::Configuration::new();
    let api = OrgAuthorizedClientsAPI::with_config(configuration);
    let resp = api
        .update_org_authorized_client("00000000-0000-0000-0000-000000000001".to_string(), body)
        .await;
    if let Ok(value) = resp {
        println!("{:#?}", value);
    } else {
        println!("{:#?}", resp.unwrap_err());
    }
}
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=rust) and then save the example to `src/main.rs` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" cargo run
##### 

```typescript
/**
 * Update an org authorized client returns "OK" response
 */

import { client, v2 } from "@datadog/datadog-api-client";

const configuration = client.createConfiguration();
const apiInstance = new v2.OrgAuthorizedClientsApi(configuration);

const params: v2.OrgAuthorizedClientsApiUpdateOrgAuthorizedClientRequest = {
  body: {
    data: {
      attributes: {
        disabled: true,
      },
      id: "00000000-0000-0000-0000-000000000001",
      type: "org_authorized_clients",
    },
  },
  orgAuthorizedClientId: "00000000-0000-0000-0000-000000000001",
};

apiInstance
  .updateOrgAuthorizedClient(params)
  .then((data: v2.OrgAuthorizedClientResponse) => {
    console.log(
      "API called successfully. Returned data: " + JSON.stringify(data)
    );
  })
  .catch((error: any) => console.error(error));
```

#### Instructions

First [install the library and its dependencies](https://docs.datadoghq.com/api/latest.md?code-lang=typescript) and then save the example to `example.ts` and run following commands:
    DD_SITE="datadoghq.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" tsc "example.ts"
{% /tab %}
